## GladeDesignView

GladeDesignView — A widget to embed the workspace.

## Functions

GtkWidget * | glade_design_view_new ()
GladeProject * | glade_design_view_get_project ()
GladeDesignView * | glade_design_view_get_from_project ()
GladeDesignLayout * | glade_design_view_get_layout ()

## Properties

GladeProject * | project | Read / Write / Construct Only

## Types and Values

struct | GladeDesignView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GladeDesignView

## Implemented Interfaces

GladeDesignView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

Use this widget to embed the currently active GtkWindow in a given GladeProject.

## Functions

### glade_design_view_new ()

    GtkWidget *
    glade_design_view_new (GladeProject *project);

### glade_design_view_get_project ()

    GladeProject *
    glade_design_view_get_project (GladeDesignView *view);

### glade_design_view_get_from_project ()

    GladeDesignView *
    glade_design_view_get_from_project (GladeProject *project);

### glade_design_view_get_layout ()

    GladeDesignLayout *
    glade_design_view_get_layout (GladeDesignView *view);

## Types and Values

### struct GladeDesignView

    struct GladeDesignView;

## Property Details

### The `“project”` property

      “project”                  GladeProject *

The project for this view.

Flags: Read / Write / Construct Only